diff --git a/utils/ldspk.sh b/utils/ldspk.sh
index 900975c84dac14469c812a4ac9d0a83bfef1d524..f50c1c2113e27819397de8a46b9d810d71b713d0 100755
--- a/utils/ldspk.sh
+++ b/utils/ldspk.sh
@@ -2,8 +2,13 @@
 #
 # https://github.com/alangrafu/lodspeakr/blob/master/utils/ldspk.sh
 
-DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 USAGE="Usage: $0 create|delete uri|class|service foo [html|rdf|ttl|nt|json]"
+if [[ $# -eq 0 || "$1" == "--help" ]]; then
+   echo $USAGE
+   exit 1
+fi
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 operations=( create delete )
 modules=( class service uri )
 formats=( html rdf ttl nt json all )